//
//  CHAttachedWindow.h
//  Chocolat
//
//  Created by Pieter Omvlee on 09-09-09.
//  Copyright 2009 Bohemian Coding. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "CHTransparentWindow.h"
#import "CHRoundedArrowView.h"
#import "CHGeometryExtensions.h"
#import "CHRoundedArrowView.h"
#import "CHArrayExtensions.h"
#import "CHStringSplitting.h"

#define ARROWMARGIN 5

@interface CHAttachedWindow : CHTransparentWindow
{
  NSPoint pointingTo;
  BOOL hasArrow;
}
@property NSPoint pointingTo;
@property BOOL hasArrow;

+ (id)attachedWithView:(NSView *)aView
              toWindow:(NSWindow *)parentWindow
            pointingTo:(NSPoint)aPoint
         arrowPosition:(NSInteger)arrowPosition;

+ (NSRect)windowRectForViewRect:(NSRect)viewFrame
                     pointingTo:(NSPoint)aPoint
                  arrowPosition:(NSInteger)arrowPosition;

- (void)setArrowPosition:(NSInteger)arrowPosition;
- (void)pointTo:(NSPoint)aPoint;
@end
